🏒 PlaceMaker | 25% off for February including new Google Earth data imports! Learn more
  • Question about pages

    6
    0 Votes
    6 Posts
    336 Views
    thomthomT
    @jim said: By the way, what is the difference between a page .name and a page .label? Seem to be the same, except label doesn't have a setter... The examples for the getters are pretty much the same.
  • Reset colourized texture?

    2
    0 Votes
    2 Posts
    226 Views
    thomthomT
    I love answering my own questions... http://code.google.com/apis/sketchup/docs/ourdoc/material.html#color= @unknownuser said: To reset the color of a Material with a Texture, set the color to nil.
  • Instructor

    2
    0 Votes
    2 Posts
    288 Views
    thomthomT
    Plugins that makes use of the Tool class to make custom tools can implement an Instructor help page: http://code.google.com/apis/sketchup/docs/ourdoc/tool.html#getInstructorContentDirectory
  • SketchUp 8 Observers crash

    2
    0 Votes
    2 Posts
    340 Views
    thomthomT
    Also reported here: http://forums.sketchucation.com/viewtopic.php?f=180&t=20676&start=15#p268315 Have you used InstanceObserver before SU8? I could never get it working - no events ever triggered...
  • SketchUp Command Line: RubyStartup

    19
    0 Votes
    19 Posts
    12k Views
    J
    After that video, I went looking and found a few: -template "/path/to/template.skp" # startup template -notemplate # use no template -page "Scene 1" # set the staring scene -timing # some sort of test? There's more, if you search the .exe for these strings.
  • LargeToolSet toggle ruby

    4
    0 Votes
    4 Posts
    284 Views
    J
    @thomthom said: How on earth did you find that? The unix strings command. I tripped over while looking for command-line options.
  • Module.foobar vs Module::foobar ?

    12
    0 Votes
    12 Posts
    658 Views
    Dan RathbunD
    @jd hill said: ..., for which jessejames's above statement is an alias. LOL ~
  • Skin.rb Files

    18
    0 Votes
    18 Posts
    8k Views
    A
    Men... this is completely awesome!!! ver 2.2 works perfect... but in a non developer language, what will clean do? again, THANK U VERY MUCH!
  • Ruby to rotate overhead view 90 degrees around blue axis?

    9
    0 Votes
    9 Posts
    4k Views
    DavidBoulderD
    You can also take an object oriented the way you want your plan, and create a new axis using that object. For your new axis blue is still on the Z axis for your model, set the green axis to go in the direction that you want to be at the top of your screen in plan view. You can save this as a scene and always jump back to it.
  • SketchUp::Image transforms

    8
    0 Votes
    8 Posts
    356 Views
    thomthomT
    I do like that approach though. Using Images for advanced material compositing.
  • Drop Geometry to Surface - Brainstorming for methods

    12
    0 Votes
    12 Posts
    919 Views
    thomthomT
    @notareal said: Maybe kirill2008 Stick groups to mesh can inspire http://forums.sketchucation.com/viewtopic.php?t=24676 Same as Jeff's link.
  • Geom::Transformation.new(pt, xaxis, yaxis)

    14
    0 Votes
    14 Posts
    1k Views
    C
    @thomthom said: No - I wondered if it preserved it. I wanted to only move and rotate the object to a new plane. I wondered if this method would be an option as oppose to combining a translation and two rotation transformations. Well, first you have to determine which axis gets priority (because the angles between the axes in the original transformation may not be the same as the angles between the axes the user picked) then measure the angles between the prioritized axis and the other two, and apply the angles to the user axes (including face normal). I'm pretty sure that doesn't make sense but I can't think of how else to describe it. If you have any specific questions, I might be able to help a bit more.
  • ComponentDefinition.instances strange behavior. Bug?

    3
    0 Votes
    3 Posts
    256 Views
    V
    Thanks!
  • Removing entity observers

    7
    0 Votes
    7 Posts
    1k Views
    Dan RathbunD
    @dmac said: removeMaterials takes more time after calling addObservers/removeObservers again. What is taking the time if the observers aren't active? Some of us are suspicous about the remove_observer() (I recall some other topics, here at SCF where other people reported slow downs as the number of model entities increased. Do a search on this forum.) When you are done with an observer instance, set it to nil and run Garbage Collection. GC.start Also: @@watchedFaces.each { |f, o| needs to be: @@watchedFaces.each_with_index { |f, o| if you are using an Array... ... but I think you want to use a Hash instead, where the keys are the object_id of the face objects, and the Hash values are references to the observer instance that is attached to it. @@watchedFaces = Hash.new model.entities.to_a.each { |e| (@@watchedFaces[e.object_id]=MyEntityObserver.new) if e.instance_of?(Sketchup::Face) } (Since the entity is getting a 'change' by attaching an observer, it is smart, to iterate an array, rather than the C++ entities collection directly.) If there are Groups and Components in the model, then the above will only find "free" face objects, not faces nested down in Group or Component hierarchies.
  • Exporting as a solid object for 3D printing?

    5
    0 Votes
    5 Posts
    417 Views
    Didier BurD
    Hi, @unknownuser said: Was just wondering if there was a known way of makign a solid and not just a 'surface' based model The 3D printing file formats (most of them AFAIK) are not based on solid(s) description(s). The STL format for instance (even if it starts with "solid" and ends with "endsolid" keywords) is just a watertight mesh of triangles.
  • Resizing images via SU Ruby

    2
    0 Votes
    2 Posts
    297 Views
    thomthomT
    Oh crap. That linked to a PHP library... ?
  • Select a Group in Ruby code instead of using the mouse

    3
    0 Votes
    3 Posts
    313 Views
    TIGT
    If you want to clear any previous selection first use... Sketchup.active_model.selection.clear then Sketchup.active_model.selection.add(mogroup)
  • [SOLVED]set standard view

    15
    0 Votes
    15 Posts
    789 Views
    P
    Overview of the code for each standard view (informative) Top direction = Z_AXIS.reverse Sketchup.active_model.active_view.camera.set( ORIGIN, direction, direction.axes.y) Sketchup.active_model.active_view.zoom_extents Bottom direction = Z_AXIS Sketchup.active_model.active_view.camera.set( ORIGIN, direction, direction.axes.y) Sketchup.active_model.active_view.zoom_extents Front direction = Y_AXIS Sketchup.active_model.active_view.camera.set( ORIGIN, direction, direction.axes.y) Sketchup.active_model.active_view.zoom_extents Back direction = Y_AXIS.reverse Sketchup.active_model.active_view.camera.set( ORIGIN, direction, direction.axes.y) Sketchup.active_model.active_view.zoom_extents Left direction=X_AXIS Sketchup.active_model.active_view.camera.set( ORIGIN, direction, direction.axes.y) Sketchup.active_model.active_view.zoom_extents Right direction=X_AXIS.reverse Sketchup.active_model.active_view.camera.set( ORIGIN, direction, direction.axes.y) Sketchup.active_model.active_view.zoom_extents Iso direction=Geom;;Vector3d.new -0.666667, 0.666667, -0.333333 Sketchup.active_model.active_view.camera.set( ORIGIN, direction, direction.axes.y) Sketchup.active_model.active_view.zoom_extents This emulates the standard cameras, combined with zoom extents. Credits to ThomThom!
  • Render options - profile only?

    4
    0 Votes
    4 Posts
    340 Views
    Dan RathbunD
    @honoluludesktop said: Not the profile in "styles"? NO ... That is DrawSilhouettes in the Page's rendering_options hash. rendering_options['DrawProfilesOnly'] must have been related (or was intended to be used for something related.)
  • Plugin for Sketchup using VB.NET or C#

    7
    0 Votes
    7 Posts
    10k Views
    P
    i'm not into the dll stuff, but i'm currently working on communication between Sketchup and Microsoft PowerPoint and Microsoft Project. Win32OLE.so can be used in that case

Advertisement